extend video
VEO unified video chain · extend an existing video (POST /v1/video/extend); Grok-Video extend uses this route by model.
POST
/v1/video/extendBody Parametersapplication/json
model* string
Model name
parent_post_id string
Parent Post ID (Grok-Video)
prompt string
Extend the description
task_id* string
Original video task ID
Responses
200 The extension task was created successfully application/json
response-200 object
properties enhanced_prompt string
Optimized prompt words Optimized prompt words
id string
Task ID Task ID
progress oneOf
progress percentage progress percentage
status string
task status task status
status_update_time integer
status update timestamp status update timestamp
video_url string
Video URL (available upon completion) Video URL (available upon completion)
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"model": "grok-video",
3"prompt": "Continue the scene with the eagle landing",
4"task_id": "task_abc123"
5}
1curl -X POST "https://api.digislash.com/v1/video/extend" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"model": "grok-video",
6"prompt": "Continue the scene with the eagle landing",
7"task_id": "task_abc123"
8}'
1▼{
2"enhanced_prompt": "string",
3"id": "string",
4"progress": 0,
5"status": "pending",
6"status_update_time": 0,
7"video_url": "string"
8}
